## GimpAspectPreview

GimpAspectPreview — A widget providing a preview with fixed aspect ratio.

## Functions

GtkWidget * | gimp_aspect_preview_new ()
GtkWidget * | gimp_aspect_preview_new_from_drawable_id ()

## Properties

gpointer | drawable | Read / Write / Construct Only
gint | drawable-id | Read / Write / Construct Only

## Types and Values

| GimpAspectPreview

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GimpPreview
                                ╰── GimpAspectPreview

## Implemented Interfaces

GimpAspectPreview implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

A widget providing a preview with fixed aspect ratio.

## Functions

### gimp_aspect_preview_new ()

    GtkWidget *
    gimp_aspect_preview_new (GimpDrawable *drawable,
                             gboolean *toggle);

`gimp_aspect_preview_new` is deprecated and should not be used in newly-written code.

Creates a new GimpAspectPreview widget for `drawable` . See also `gimp_drawable_preview_new()`.

In GIMP 2.2 the `toggle` parameter was provided to conviently access the state of the "Preview" check-button. This is not any longer necessary as the preview itself now stores this state, as well as the scroll offset.

#### Parameters

drawable | a GimpDrawable |
toggle | unused |

#### Returns

a new GimpAspectPreview.

Since: 2.2

### gimp_aspect_preview_new_from_drawable_id ()

    GtkWidget *
    gimp_aspect_preview_new_from_drawable_id
                                   (gint32 drawable_ID);

Creates a new GimpAspectPreview widget for `drawable_ID` . See also `gimp_drawable_preview_new_from_drawable_id()`.

#### Parameters

drawable_ID | a drawable ID |

#### Returns

a new GimpAspectPreview.

Since: 2.10

## Types and Values

### GimpAspectPreview

    typedef struct _GimpAspectPreview GimpAspectPreview;

## Property Details

### The `“drawable”` property

      “drawable”                 gpointer

Deprecated: use the drawable-id property instead.

`GimpAspectPreview:drawable` is deprecated and should not be used in newly-written code.

use the drawable-id property instead.

Flags: Read / Write / Construct Only

Since: 2.4

### The `“drawable-id”` property

      “drawable-id”              gint

The drawable the GimpAspectPreview is attached to.

Flags: Read / Write / Construct Only

Allowed values: >= -1

Default value: -1

Since: 2.10